## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-testing.common.database
Version:        2.0.3
Release:        %autorelease
Summary:        Utilities for testing.* packages

License:        Apache-2.0
URL:            https://github.com/tk0miya/testing.common.database
Source0:        %{pypi_source testing.common.database}

# Support Callable in collections.abc
# https://github.com/tk0miya/testing.common.database/pull/25
Patch:          %{url}/pull/25.patch

BuildArch:      noarch

BuildRequires:  python3-devel

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package -n     python3-testing.common.database
Summary:        %{summary}

%description -n python3-testing.common.database %{common_description}


%prep
%autosetup -n testing.common.database-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# Note that testing is a namespace package, and the directory is co-owned with
# python-testing.postgresql and python-testing.mysqld. Furthermore, each
# installs an __init__.py to the namespace package, which is co-owned
# and—wonderfully—is *actually* identical among the packages in question.
%pyproject_save_files testing


%check
# Upstream has no (non-linter) tests.
%pyproject_check_import


%files -n python3-testing.common.database -f %{pyproject_files}
# pyproject-rpm-macros handles the LICENSE file; verify with “rpm -qL -p …”
%doc README.rst
%{python3_sitelib}/testing.common.database-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 2.0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Nov 28 2022 Benjamin A. Beasley <code@musicinmybrain.net> 2.0.3-7
- Update License to SPDX

* Mon Nov 28 2022 Benjamin A. Beasley <code@musicinmybrain.net> 2.0.3-6
- Drop default argument -r from pyproject_buildrequires

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> 2.0.3-4
- Rebuilt for Python 3.11

* Wed Apr 20 2022 Benjamin A. Beasley <code@musicinmybrain.net> 2.0.3-3
- Stop numbering patches

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Dec 27 2021 Benjamin A. Beasley <code@musicinmybrain.net> 2.0.3-1
- Initial package (close RHBZ#2033828)
